Skip to main content
POST
/
v1
/
customers
Create a customer
curl --request POST \
  --url https://api.ledger.so/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "firstName": "<string>",
  "lastName": "<string>",
  "type": "individual",
  "phone": "<string>"
}
'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>",
    "type": "individual",
    "status": "active",
    "kycStatus": "not_started",
    "kycLink": "<string>",
    "tosLink": "<string>",
    "capabilities": {
      "virtualAccounts": true,
      "wallets": true,
      "transfers": true
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "phone": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Body

application/json
email
string<email>
required

Customer's email address

firstName
string
required

Customer's first name

lastName
string
required

Customer's last name

type
enum<string>
default:individual

Customer type

Available options:
individual,
business
phone
string

Customer's phone number

Response

Customer created

ok
enum<boolean>
required
Available options:
true
data
object
required